## jove 4.16.0.64

=== Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 JOVETOOLM = $(MANDIR)/jovetool.$(MANEXT)
 
 # SYSDEFS: specify system characteristics.
-# The default is -DBSDPOSIX, which describes a number of modern
+# The default is -DBSDPOSIX_STDC, which describes a number of modern
 # systems (but not Solaris!).  If this isn't suitable for your system,
 # you will need to change it.  You may need to define a new symbol for
 # your OS if we haven't created a suitable one.  See sysdep.h.
@@ -104,12 +104,12 @@
 #	HP/UX 8 or 9			SYSDEFS="-DHPUX -Ac"
 #	HP/UX 11 (-Ac redundant)	SYSDEFS=-DHPUX
 #	IBM AIX 3.2			SYSDEFS=-DAIX3_2
-#	IBM AIX 4.2			SYSDEFS="-DAIX4_2" TERMCAPLIB="-lcurses -ls"
+#	IBM AIX 4.2, 5.2		SYSDEFS="-DAIX4_2" TERMCAPLIB="-lcurses -ls"
 #	Irix 3.3-4.0.5			SYSDEFS="-DIRIX -DIRIX4"
 #	Irix 5.0 onwards		SYSDEFS="-DIRIX -prototypes"
 #	LINUX (older, eg. RedHat 4, 5)	SYSDEFS=-DBSDPOSIX
 #	LINUX (with UNIX98 PTYS)	SYSDEFS="-DSYSVR4 -D_XOPEN_SOURCE=500"
-#       				some need TERMCAPLIB=-lcurses
+#       				some need TERMCAPLIB=-lcurses or TERMCAPLIB=-lncurses
 #	MIPS RiscOS4.x			SYSDEFS="-systype bsd43 -DBSD4"
 #	NetBSD 1.5			SYSDEFS="-DBSDPOSIX -DUSE_OPENPTY" EXTRALIBS=-lutil
 #	OpenBSD 2.x			SYSDEFS="-DBSDPOSIX -DUSE_OPENPTY" EXTRALIBS=-lutil
@@ -117,9 +117,9 @@
 #	SunOS3.x			SYSDEFS=-DSUNOS3
 #	SunOS4.0*			SYSDEFS=-DSUNOS40
 #	SunOS4.1*			SYSDEFS=-DSUNOS41
-#	SunOS5.0/Solaris 2.0		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
-#	SunOS5.[123456]/Solaris 2.x	SYSDEFS=-DSYSVR4
-#	Sys III, Sys V R 2,3		SYSDEFS=-DSYSV
+#	SunOS5.0 (Solaris 2.0)		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
+#	SunOS5.[12345678] (Solaris)	SYSDEFS=-DSYSVR4
+#	Sys III, Sys V R 2,3		SYSDEFS=-DSYSV PORTSRVINST='$(PORTSRV)'
 #	Sys V Release 4.0		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
 #	Sys V Release 4.x		SYSDEFS=-DSYSVR4
 #
@@ -130,14 +130,14 @@
 # Some of the MIPS based Ultrix (upto 4.2 at least), RiscOS and Irix (up to
 # 3.3 at least) also need -DMIPS_CC_BUG.
 #
-# Some (all?) versions of the HPUX C compiler have a bug in handling forward
+# Some old versions of the HPUX C compiler have a bug in handling forward
 # struct tag declarations.  Using the -Ac flag in place of -Ae will avoid
 # this problem (and reduce the compiler's error checking, unfortunately).
 #
 # Add -DUSE_EXIT if you're profiling or using purify (this causes Jove
 # to exit using exit(), instead of _exit()).
 
-SYSDEFS = -DBSDPOSIX
+SYSDEFS = -DBSDPOSIX_STDC
 
 # Select optimization level (flags passed to compiling and linking steps).
 # On most systems: -g for debugging, -O for optimization.
@@ -303,7 +303,8 @@
 	@-size jjove$(XEXT)
 
 # portsrv is only needed if IPROCS are implemented using PIPEPROCS
-# Making PORTSRVINST null will supress building and installing portsrv.
+# (modern systems use PTYPROCS).
+# Making PORTSRVINST null supresses building and installing portsrv.
 
 # PORTSRVINST=$(PORTSRV)
 PORTSRVINST=
@@ -315,5 +316,3 @@
 	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o recover$(XEXT) recover.o $(EXTRALIBS)
 
 teachjove$(XEXT):	teachjove.o
-	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o teachjove$(XEXT) teachjove.o $(EXTRALIBS)
-
