## jove 4.16.0.65

=== Makefile ===
--- 
+++ 
@@ -127,7 +127,7 @@
 # processes.  This bug can be worked around by defining GRANTPT_BUG.
 # Read the explanation of GRANTPT_BUG in sysdep.doc.
 #
-# Some of the MIPS based Ultrix (upto 4.2 at least), RiscOS and Irix (up to
+# Some of the MIPS based Ultrix (up to 4.2 at least), RiscOS and Irix (up to
 # 3.3 at least) also need -DMIPS_CC_BUG.
 #
 # Some old versions of the HPUX C compiler have a bug in handling forward
