=== debian/changelog ===
jove (4.17.2.7-1) unstable; urgency=low

  * New upstream release
  * Refresh Debian specific jove.rc
  * Add ctags or emacs-bin-common to Suggest
  * change Suggest on spell to aspell

 -- Cord Beermann <cord@debian.org>  Wed, 26 Feb 2020 19:07:26 +0100

jove (4.17.2.0-2) unstable; urgency=low

  * Fixed Regression
    + Let dh_auto_build pass cross compilers to make.
  * Updated Translations
    + eu by Iñaki Larrañaga Murgoitio <dooteo@zundan.com>
    + pt by Miguel Figueiredo <elmig@debianpt.org> (closes: #951358)

 -- Cord Beermann <cord@debian.org>  Sat, 15 Feb 2020 13:40:22 +0100

jove (4.17.2.0-1) unstable; urgency=low

  * New upstream release
    + move shared-files to /usr/share
    + adopted most of the patches from previous package
  * Rebuild Package from scratch.
    + From 1.0 to 3.0 (quilt)
    + Pulled all not applied patches and install modifications from debian/*
  * Installed Manual, Quickreference and Commands to /usr/share/doc/jove
  * Removed init.d-recover-Job.
      Script placed in doc-dir, added a NEWS about it.
      jove -r still does things.
  * Dropped Function-keys from Beginners Menu
    (closes: #172206, #322980, #478561, #588002)
  * Bumped Debian Policy-Version to 4.5.0
    + added Rules-Requires-Root: no
  * Updated Translations
    + de by Helge Kreutzmann <debian@helgefjell.de> (closes: #950469, #950752)
    + es by Jonatan Porras <jonatanpc8@gmail.com>
    + ru by Yuri Kozlov <yuray@komyakino.ru> (closes: #950668)
    + sv by Sebastian Rasmussen <sebras@gmail.com>
    + eu by Iñaki Larrañaga Murgoitio <dooteo@zundan.com>
    + fi by Sami Kallio <phinaliumz@gmail.com>
    + it by Beatrice Torracca <beatricet@libero.it> (closes: #951145)
    + nl by Frans Spiesschaert <Frans.Spiesschaert@yucom.be> (closes: #951328)
    + fr by Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> (closes: #951342)

 -- Cord Beermann <cord@debian.org>  Fri, 14 Feb 2020 19:29:24 +0100

jove (4.16.0.73-5) unstable; urgency=low

  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
    thanks Helmut Grohne <helmut@subdivi.de> (Closes: #883116)
  * Bump Policy-Version to 4.1.1 (no change)

 -- Cord Beermann <cord@debian.org>  Fri, 01 Dec 2017 18:13:04 +0100

jove (4.16.0.73-4) unstable; urgency=low

  * force nroff to ascii to work towards reproducible builds.
    (choosing ascii as this program itself doesn't support utf-8)
  * rework debian/copyright
  * switch to Debhelper 9
  * add 'set -e' to maintainer scripts.
  * ignore homepage-field. we don't have one.

 -- Cord Beermann <cord@debian.org>  Thu, 20 Aug 2015 11:14:38 +0200

jove (4.16.0.73-3) unstable; urgency=low

  * The Debconf15 release
  * bumped Policy-Version to 3.9.5 (no change)
  * configured to allow a maximum line length of 16k (instead of 4096)

 -- Cord Beermann <cord@debian.org>  Tue, 11 Aug 2015 21:54:46 +0200

jove (4.16.0.73-2) unstable; urgency=low

  * added it.po (closes: #729795)
  * added lsb sourcisng to init.d to make lintian happy
  * lowered MTA recommends to Suggest
  * bumped Policy-Version to 3.9.5 (no change)

 -- Cord Beermann <cord@debian.org>  Fri, 22 Nov 2013 22:06:08 +0100

jove (4.16.0.73-1) unstable; urgency=low

  * New upstream release (Upstream accepted our changes)
  * acknowledge NMUs (Closes: #596569, #478558, #583662)
  * added hardening
  * added empty status init.d
  * cleaned watch-file
  * add recommended build targets
  * bumped Policy-Version to 3.9.3 (no change)

 -- Cord Beermann <cord@debian.org>  Thu, 21 Jun 2012 21:33:34 +0200

jove (4.16.0.72-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop xjove binary removal, xview is being removed from the archive
    (Closes: #596569, #478558)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 24 May 2011 23:07:41 +0200

jove (4.16.0.72-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #583662

 -- Christian Perrier <bubulle@debian.org>  Thu, 07 Apr 2011 08:30:00 +0200

jove (4.16.0.72-2) unstable; urgency=low

  * Rebuild with reworked Architectures.
    + Modified debian/rules so it simply looks for xviewg to
    + Now use a whitelist for Architectures in debian/control (Please file a
      bug if your architecture has xview so xjove can be build)

 -- Cord Beermann <cord@debian.org>  Tue, 25 May 2010 15:48:36 +0200

jove (4.16.0.72-1) unstable; urgency=low

  * New upstream release
    + fixes a bug that shows up on 64-bit Ubuntu 10.4
  * Make Lintian Happy
    + Bumped Policy-version
    + Depends on dh 7
    + Adding Source-Format
  * Dropped linking against libolgx (not used by xjove)
  * Fixed a typo in the manpage
  * Acknowledge the NMUs

 -- Cord Beermann <cord@debian.org>  Tue, 25 May 2010 08:04:56 +0200

jove (4.16.0.70-3.2) unstable; urgency=low

  * Non-maintainer upload with maintainer approval to fix release
    goal.
  * Correct init.d script dependencies and move from rcS.d/ to
    runlevels 2-5 (Closes: 548312).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Mar 2010 19:07:01 +0100

jove (4.16.0.70-3.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch. Closes: #418402
    - Brazilian Portuguese. Closes: #447798
    - Spanish. Closes: #465159
    - Finnish. Closes: #476318
    - Galician. Closes: #478059
    - Vietnamese. Closes: #478148
    - Basque. Closes: #479082
  * Use "linux-any" in the architectures list instead of a long pile of
    arches while we really want to exclude non Linux arches
    Closes: #470034
  * Do not uncoditionnally strip binaries. Closes: #437241
  * [Lintian] Remove generic sentences from README.Debian
  * [Lintian] Correct menu section to Applications/Editors
  * [Lintian] Set debhelper compatibility with debian/compat

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Apr 2008 08:23:23 +0200

jove (4.16.0.70-3) unstable; urgency=medium

  * Updated ja.po (closes: #402611)

