## jove 4.17.3.6

=== debian/changelog ===
jove (4.17.3.6-2) unstable; urgency=medium

  * Bump Policy. no changes.
  * Convert po-Files to utf-8
  * Minor changes to make Lintian Happy.

 -- Cord Beermann <cord@debian.org>  Sat, 16 Jan 2021 12:07:43 +0100

jove (4.17.3.6-1) unstable; urgency=medium

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Sun, 05 Apr 2020 11:00:17 +0200

jove (4.17.3.5-1) unstable; urgency=medium

  * New upstream release
    + LG_JBUFSIZ default is now 15, 32k chars per line.
      Dropping our own modification to 14 (16k chars)

 -- Cord Beermann <cord@debian.org>  Thu, 19 Mar 2020 21:54:13 +0100

jove (4.17.3.2-1) unstable; urgency=medium

  * New upstream release
    + Documentation enhanced

 -- Cord Beermann <cord@debian.org>  Sat, 14 Mar 2020 11:05:48 +0100

jove (4.17.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Sun, 08 Mar 2020 12:21:12 +0100

jove (4.17.2.9-1) unstable; urgency=medium

  * New upstream release
    + JLGBUFSIZ is now LG_JBUFSIZ

 -- Cord Beermann <cord@debian.org>  Wed, 04 Mar 2020 18:33:08 +0100

jove (4.17.2.8-1) unstable; urgency=low

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Tue, 03 Mar 2020 21:19:54 +0100
