=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: editors
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
-Build-Depends: debhelper-compat (= 12), po-debconf, libncurses-dev, groff
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), po-debconf, libncurses-dev, groff
+Standards-Version: 4.5.1
 Homepage: https://github.com/jonmacs/jove
 Rules-Requires-Root: no
