=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- \
-		SYSDEFS="-DXLINUX -DJLGBUFSIZ=14" \
+		SYSDEFS="-DXLINUX" \
 		OPTFLAGS="$(CFLAGS) $(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" \
 		JOVEHOME=/usr \
