## jove 4.17.4.0

=== debian/changelog ===
jove (4.17.4.0-1) unstable; urgency=medium

  * New upstream release.
  * added pkg-config as Build Dependency for modified building.
  * Bump Standard to 4.6.0, no changes
  * Fixed Lintian Overrides

 -- Cord Beermann <cord@debian.org>  Sun, 29 May 2022 12:14:32 +0200
